Subject: Re: [PATCH 1/2] of: net: Add helper function of_get_ethdev_label()

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 7 Jan 2022 16:29:31 +0000

On Fri, Jan 07, 2022 at 05:12:21PM +0100, Pali Rohár wrote:
> Adds a new helper function of_get_ethdev_label() which sets initial name of
> specified netdev interface based on DT "label" property. It is same what is
> doing DSA function dsa_port_parse_of() for DSA ports.
> 
> This helper function can be useful for drivers to make consistency between
> DSA and netdev interface names.
> 
> Signed-off-by: Pali Rohár <[email-masked]>

Doesn't this also need a patch to update the DT binding document
Documentation/devicetree/bindings/net/ethernet-controller.yaml ?

Also it needs a covering message for the series, and a well thought
out argument why this is required. Consistency with DSA probably
isn't a good enough reason.

>From what I remember, there have been a number of network interface
naming proposals over the years, and as you can see, none of them have
been successful... but who knows what will happen this time.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!